import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-system/port-terminal/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-system/port-terminal/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const remove = ids => {
  return request({
    url: '/blade-system/port-terminal/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const submit = row => {
  return request({
    url: '/blade-system/port-terminal/submit',
    method: 'post',
    data: row,
  });
};

export const changeStatus = (id, status) => {
  return request({
    url: '/blade-system/port-terminal/status',
    method: 'post',
    params: {
      id,
      status,
    },
  });
};

export const getPortSelect = () => {
  return request({
    url: '/blade-system/port-terminal/port-select',
    method: 'get',
  });
};
